package blackjack

// ParseCard returns the integer value of a card following blackjack ruleset.
func ParseCard(card string) int {
    switch {
    case card == "ace":
        return 11
    case card == "two":
        return 2
    case card == "three":
        return 3
    case card == "four":
        return 4
    case card == "five":
        return 5
    case card == "six":
        return 6
    case card == "seven":
        return 7
    case card == "eight":
        return 8
    case card == "nine":
        return 9
    case card == "ten":
        return 10
    case card == "jack":
        return 10
    case card == "queen":
        return 10
    case card == "king":
        return 10

    default:
        return 0
    }
}

// FirstTurn returns the decision for the first turn, given two cards of the
// player and one card of the dealer.
func FirstTurn(card1, card2, dealerCard string) string {
    var card1val int = ParseCard(card1)
    var card2val int = ParseCard(card2)
    var dealcardval int = ParseCard(dealerCard)

    switch {

    case card1 == "ace" && card2 == "ace":
        return "P"
    case card1val + card2val == 21:
        if (dealcardval == 10 || dealcardval == 11) {
            return "S"
        } else {
            return "W"
        }
    case card1val + card2val >= 17 && card1val + card2val <= 20:
        return "S"
    case card1val + card2val >= 12 && card1val + card2val <= 16 :
        if (dealcardval >= 7) {
            return "H"
        } else {
            return "S"
        }
    case card1val + card2val <= 11:
        return "H"
    default:
        return "oonga boonga"
    }
}
