package cards

// FavoriteCards returns a slice with the cards 2, 6 and 9 in that order.
func FavoriteCards() []int {
    return []int{2, 6, 9}
}

// GetItem retrieves an item from a slice at given position.
// If the index is out of range, we want it to return -1.
func GetItem(slice []int, index int) int {
    if (index >= 0 && index < len(slice)) {
        return slice[index]
    } else {
        return -1
    }
}

// SetItem writes an item to a slice at given position overwriting an existing value.
// If the index is out of range the value needs to be appended.
func SetItem(slice []int, index, value int) []int {
    if (index > len(slice) - 1 || index < 0) {
        slice = append(slice, value)
        return slice
    }

    slice[index] = value
    return slice
}

// PrependItems adds an arbitrary number of values at the front of a slice.
func PrependItems(slice []int, values ...int) []int {
    tempslice := []int{}
    for i := 0; i < len(values); i++ {
        tempslice = append(tempslice, values[i])
    }
    for i := 0; i < len(slice); i++ {
        tempslice = append(tempslice, slice[i])
    }
    return tempslice
}

// RemoveItem removes an item from a slice by modifying the existing slice.
func RemoveItem(slice []int, index int) []int {
    if (index > 0 && index < len(slice)) {
        l := len(slice)
        t1 := slice[0:index]
        t2 := slice[index+1:l]
        for i := 0; i < len(t2); i++ {
            t1 = append(t1, t2[i])
        }
        return t1
    } else if (index == 0 && index < len(slice)) {
        return slice[index+1:] 
    } else {
        return slice 
    }
}
