package purchase

import "slices"

// NeedsLicense determines whether a license is needed to drive a type of vehicle. Only "car" and "truck" require a license.
func NeedsLicense(kind string) bool {
	if kind == "bike" || kind == "e-scooter" || kind == "stroller" {
		return false
	} else {
		return true
	}
}

// ChooseVehicle recommends a vehicle for selection. It always recommends the vehicle that comes first in lexicographical order.
func ChooseVehicle(option1, option2 string) string {
	strings := []string{option1, option2}
	slices.Sort(strings)
	return strings[0] + " is clearly the better choice."
}

// CalculateResellPrice calculates how much a vehicle can resell for at a certain age.
func CalculateResellPrice(originalPrice, age float64) float64 {
	if age < 3 {
		return float64(originalPrice / 100 * 80)
	} else if age < 10 {
		return float64(originalPrice / 100 * 70)
	} else {
		return float64(originalPrice / 100 * 50)
	}
}
